Delete a group
curl --request DELETE \
--url https://services.pref.rio/heimdall-admin/api/v1/groups/{group_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.pref.rio/heimdall-admin/api/v1/groups/{group_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.pref.rio/heimdall-admin/api/v1/groups/{group_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "Invalid authentication credentials",
"status_code": 401
}{
"detail": "Permission denied to delete group 'engineering_team'"
}{
"detail": "Group 'unknown-group' not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Failed to delete group: Database transaction error"
}groups
Delete a group
Delete a group from the system with cascading cleanup.
Authorization: Users can delete groups they have permission to manage. Permissions are checked via Cerbos policies.
Cascade Effects:
- Removes all group members
- Removes all role assignments from the group
- Updates Cerbos policies to reflect the group deletion
Use Cases:
- Remove obsolete or unused groups
- Administrative group cleanup
- System reorganization
Safety: Group deletion is irreversible. Ensure the group is no longer needed before deletion.
DELETE
/
api
/
v1
/
groups
/
{group_name}
Delete a group
⌘I
